Platform webhooks
get
Authorizations
HTTPRequired
Please enter token in following format: Bearer
Responses
200Success
application/json
idstringRequired
urlstringRequired
isActivebooleanRequired
eventsstring[]Required
createdAtstring · date-timeOptional
lastUpdatedAtstring · date-timeOptional
get/v1/platform-webhooks
GET /v1/platform-webhooks HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
[
{
"id": "text",
"url": "text",
"isActive": true,
"events": [
"text"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"lastUpdatedAt": "2026-01-01T00:00:00.000Z"
}
]post
Authorizations
HTTPRequired
Please enter token in following format: Bearer
Body
urlstringRequired
eventsstring[]Required
secretstringOptional
Responses
201Success
No content
post/v1/platform-webhooks
POST /v1/platform-webhooks HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48
{
"url": "text",
"events": [
"text"
],
"secret": "text"
}201Success
No content
put
Authorizations
HTTPRequired
Please enter token in following format: Bearer
Path parameters
idstringRequired
Body
urlstringOptional
eventsstring[]Optional
secretstringOptional
Responses
200Success
No content
put/v1/platform-webhooks/{id}
PUT /v1/platform-webhooks/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48
{
"url": "text",
"events": [
"text"
],
"secret": "text"
}200Success
No content
delete
Authorizations
HTTPRequired
Please enter token in following format: Bearer
Path parameters
idstringRequired
Responses
200Success
No content
delete/v1/platform-webhooks/{id}
DELETE /v1/platform-webhooks/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
No content